gcc and -mcpu -march=athlon switch

Lee Harris harris.lee at ntlworld.com
Sun Nov 18 01:39:01 PST 2001


>
> LFS uses gcc-2.95.3, which doesn't have the m{cpu,arch}=athlon option. If
> you desperately want it, try installing gcc-3.02 (which is the latest
> version AFAIK) alongside gcc-2.95.3. Many packages aren't compatible with
> the 3.x series yet, so YMMV. There's an lfs-hint which explains how to do
> this, look at www.hints.linuxfromscratch.org.
> HTH

Ok thanks. I think I'll stick with what I've got for now unless some one can 
tell me how to get two versions of gcc to coexist easily.

In the case of 2.95.3,would I be better choosing m{cpu,arch}=k6 or i686 . I'm 
unsure which would be better and whether the athlon is fully compatible with 
the pentiumpro optimizations. Most configure scripts seem to think I have a 
i686.
Where does the script get this information from.

Lee
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list